Bug 104729 - FILESAVE does not save author of the comment during export to .xlsx
Summary: FILESAVE does not save author of the comment during export to .xlsx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium minor
Assignee: Bartosz
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-17 09:51 UTC by Bartosz
Modified: 2017-01-04 11:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2016-12-17 09:51:12 UTC
Description:
FILESAVE OpenOffice do not save author of the comment during export to .xlsx


Steps to Reproduce:
1. Open Calc
2. Add comment
3. Export to .xlsx

Actual Results:  
Author name is not saved into .xlsx file

Expected Results:
Author name is saved into .xlsx file


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/53.0.2785.143 Chrome/53.0.2785.143 Safari/537.36
Comment 1 Commit Notification 2017-01-03 13:30:28 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36cdf3c35459df63ce137e550a6840a61865c0ca

tdf#104729 FILESAVE Save author name in comment during export to .xlsx

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Timur 2017-01-04 11:53:04 UTC
Yes, it saves author now - but why "initials" and not "name" from user data?